/* $Id: header 297205 2010-03-30 21:09:07Z johannes $ */

#ifndef PHP_MYSQLND_SERVER_LOCATOR_H
#define PHP_MYSQLND_SERVER_LOCATOR_H

extern zend_module_entry mysqlnd_server_locator_module_entry;
#define phpext_mysqlnd_server_locator_ptr &mysqlnd_server_locator_module_entry

ZEND_BEGIN_MODULE_GLOBALS(mysqlnd_server_locator)
	char *ini_file;
ZEND_END_MODULE_GLOBALS(mysqlnd_server_locator);

#ifdef PHP_WIN32
#	define PHP_MYSQLND_SERVER_LOCATOR_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#	define PHP_MYSQLND_SERVER_LOCATOR_API __attribute__ ((visibility("default")))
#else
#	define PHP_MYSQLND_SERVER_LOCATOR_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

#ifdef ZTS
#define MYSL_G(v) TSRMG(mysqlnd_server_locator_globals_id, zend_mysqlnd_server_locator_globals *, v)
#else
#define MYSL_G(v) (mysqlnd_server_locator_globals.v)
#endif

#endif	/* PHP_MYSQLND_SERVER_LOCATOR_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
